Panda3D

- Main Page
- Packages
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | Static Public Attributes

# DirectScrolledList Class Reference

Inheritance diagram for DirectScrolledList:

List of all members.

## Public Member Functions
def | __init__
def | addItem
def | destroy
def | getItemIndexForItemID
def | getSelectedIndex
def | getSelectedText
def | makeAllItems
def | recordMaxHeight
def | refresh
def | removeAllItems
def | removeAndDestroyAllItems
def | removeAndDestroyItem
def | removeItem
def | scrollBy
def | scrollTo
def | scrollToItemID
def | selectListItem
def | setDecButtonCallback
def | setForceHeight
def | setIncButtonCallback
def | setNumItemsVisible
def | setScrollSpeed
## Public Attributes
| currentSelected
| decButton
| decButtonCallback
| forceHeight
| incButton
| incButtonCallback
| index
| itemFrame
| maxHeight
| nextItemID
| numItemsVisible
| scrollSpeed
## Static Public Attributes
tuple | notify = DirectNotifyGlobal.directNotify.newCategory("DirectScrolledList")

## Constructor & Destructor Documentation

def __init__ | ( |  | self,
|  |  | parent = `None`,
|  |  | kw
| ) |  |

Reimplemented from DirectFrame.

## Member Function Documentation

def addItem | ( |  | self,
|  |  | item,
|  |  | refresh = `1`
| ) |  |

    Add this string and extraArg to the list

def destroy | ( |  | self | ) |

Reimplemented from DirectFrame.

def getItemIndexForItemID | ( |  | self,
|  |  | itemID
| ) |  |

def getSelectedIndex | ( |  | self | ) |

def getSelectedText | ( |  | self | ) |

def makeAllItems | ( |  | self | ) |

def recordMaxHeight | ( |  | self | ) |

def refresh | ( |  | self | ) |

    Update the list - useful when adding or deleting items
    or changing properties that would affect the scrolling

def removeAllItems | ( |  | self,
|  |  | refresh = `1`
| ) |  |

    Remove this item from the panel
    Warning 2006_10_19 tested only in the trolley metagame

def removeAndDestroyAllItems | ( |  | self,
|  |  | refresh = `1`
| ) |  |

    Remove and destroy all items from the panel.
    Warning 2006_10_19 tested only in the trolley metagame

def removeAndDestroyItem | ( |  | self,
|  |  | item,
|  |  | refresh = `1`
| ) |  |

    Remove and destroy this item from the panel.

def removeItem | ( |  | self,
|  |  | item,
|  |  | refresh = `1`
| ) |  |

    Remove this item from the panel

def scrollBy | ( |  | self,
|  |  | delta
| ) |  |

def scrollTo | ( |  | self,
|  |  | index,
|  |  | centered = `0`
| ) |  |

    scrolls list so selected index is at top, or centered in box

def scrollToItemID | ( |  | self,
|  |  | itemID,
|  |  | centered = `0`
| ) |  |

def selectListItem | ( |  | self,
|  |  | item
| ) |  |

def setDecButtonCallback | ( |  | self | ) |

def setForceHeight | ( |  | self | ) |

def setIncButtonCallback | ( |  | self | ) |

def setNumItemsVisible | ( |  | self | ) |

def setScrollSpeed | ( |  | self | ) |

## Member Data Documentation

currentSelected

decButton

decButtonCallback

forceHeight

incButton

incButtonCallback

index

itemFrame

maxHeight

nextItemID

tuple notify = DirectNotifyGlobal.directNotify.newCategory("DirectScrolledList")`[static]`

numItemsVisible

scrollSpeed

All Classes Namespaces Functions Variables Enumerations Enumerator Properties